信息网络安全

关于WebLogic Server WLS核心组件存在反序列化漏洞的安全公告

时间:2018-04-18 16:45:44 来源: 打印
  2018年4月18日,国家信息安全漏洞共享平台(CNVD)收录了WebLogic Server WLS核心组件反序列化漏洞(CNVD-2018-07811,对应CVE-2018-2628)。攻击者利用该漏洞,可在未授权的情况下远程执行代码。漏洞验证代码已被公开,近期被不法分子利用进行大规模攻击的可能性较大,厂商已发布补丁进行修复。
       
  一、漏洞情况分析
  WebLogic Server是美国甲骨文(Oracle)公司开发的一款适用于云环境和传统环境的应用服务中间件,它提供了一个现代轻型开发平台,支持应用从开发到生产的整个生命周期管理,并简化了应用的部署和管理。在WebLogic Server 的 RMI(远程方法调用)通信中,T3协议(丰富套接字)用来在 WebLogic Server 和其他 Java 程序(包括客户端及其他 WebLogic Server 实例)间传输数据,该协议在开放WebLogic控制台端口的应用上默认开启。
  2018年4月18日凌晨,Oracle官方发布了4月份关键补丁更新CPU(Critical Patch Update),其中包含该Weblogic反序列化高危漏洞。利用该漏洞,攻击者可以在未经授权的情况下,远程发送攻击数据,通过T3协议在WebLogic Server中执行反序列化操作,反序列过程中会远程加载RMI registry,加载回来的registry又会被反序列化执行,最终实现了远程代码的执行。CNVD对该漏洞的综合评级为“高危”。 
 
  二、漏洞影响范围
  根据官方公告情况,该漏洞的影响版本如下:
  WebLogic 10.3.6.0
  WebLogic 12.1.3.0
  WebLogic 12.2.1.2
  WebLogic 12.2.1.3
  
  三、漏洞处置建议
  1、临时修复建议:通过设置weblogic.security.net.ConnectionFilterImpl默认连接筛选器,对T3/T3s协议的访问权限进行配置,阻断漏洞利用途径。
  2、美国甲骨文公司已发布了修复补丁,建议及时更新至最新版本:http://www.oracle.com/technetwork/security-advisory/cpuapr2018-3678067.html
 
  附:参考链接:
http://www.cnvd.org.cn/flaw/show/CNVD-2018-07811
分享到
快速通道